Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class SpecularLightingRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.AbstractTiledRed
              org.apache.batik.ext.awt.image.rendered.SpecularLightingRed

All Implemented Interfaces:
  RenderedImage, CachableRed, TileGenerator

    public class SpecularLightingRed

extends AbstractTiledRed

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`SpecularLightingRed(double ks, double specularExponent, Light light, BumpMap bumpMap, Rectangle litRegion, double scaleX, double scaleY, boolean linear)`

Method Summary
`WritableRaster` | `copyData(WritableRaster wr)`
`void` | `genRect(WritableRaster wr)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractTiledRed
`copyToRaster, copyToRasterByBlocks, createTileStore, drawBlock, drawBlockAndCopy, drawBlockInPlace, genTile, getData, getDefaultTileSize, getTile, getTileStore, init, init, init, setTile, setTileStore`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, getBounds, getColorModel, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpecularLightingRed

    public SpecularLightingRed(double ks,
                               double specularExponent,
                               Light light,
                               BumpMap bumpMap,
                               Rectangle litRegion,
                               double scaleX,
                               double scaleY,
                               boolean linear)

Method Detail

### copyData

    public WritableRaster copyData(WritableRaster wr)

  Specified by:
    `copyData` in interface `RenderedImage`
  Overrides:
    `copyData` in class `AbstractTiledRed`

### genRect

    public void genRect(WritableRaster wr)

  Specified by:
    `genRect` in class `AbstractTiledRed`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.